Package org.bukkit.event.player

# Class PlayerBucketFishEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerBucketEntityEvent
org.bukkit.event.player.PlayerBucketFishEvent

All Implemented Interfaces:
  `Cancellable`

@Deprecated public class PlayerBucketFishEvent extends PlayerBucketEntityEvent
Deprecated.
Use the more generic `PlayerBucketEntityEvent`
This event is called whenever a player attempts to put a fish in a bucket.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerBucketFishEvent(@NotNull Player player, @NotNull Fish fish, @NotNull ItemStack waterBucket, @NotNull ItemStack fishBucket)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Fish`
`getEntity()`
Deprecated.
Gets the fish involved with this event.
`@NotNull ItemStack`
`getFishBucket()`
Deprecated.
Use `PlayerBucketEntityEvent.getEntityBucket()`
`@NotNull ItemStack`
`getWaterBucket()`
Deprecated.
Use `PlayerBucketEntityEvent.getOriginalBucket()`

### Methods inherited from class org.bukkit.event.player.PlayerBucketEntityEvent

`getEntityBucket, getHandlerList, getHandlers, getOriginalBucket, isCancelled, setCancelled`

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerBucketFishEvent

public PlayerBucketFishEvent(@NotNull @NotNull Player player, @NotNull @NotNull Fish fish, @NotNull @NotNull ItemStack waterBucket, @NotNull @NotNull ItemStack fishBucket)
Deprecated.

## Method Details

### getEntity

@NotNull public @NotNull Fish getEntity()
Deprecated.
Gets the fish involved with this event.

Overrides:
  `getEntity` in class `PlayerBucketEntityEvent`
Returns:
  The fish involved with this event

### getWaterBucket

@NotNull @Deprecated public @NotNull ItemStack getWaterBucket()
Deprecated.
Use `PlayerBucketEntityEvent.getOriginalBucket()`
Gets the bucket used. This refers to the bucket clicked with, ie `Material.WATER_BUCKET`.

Returns:
  The used bucket

### getFishBucket

@NotNull @Deprecated public @NotNull ItemStack getFishBucket()
Deprecated.
Use `PlayerBucketEntityEvent.getEntityBucket()`
Gets the bucket that the fish will be put into. This refers to the bucket with the fish, ie `Material.PUFFERFISH_BUCKET`.

Returns:
  The bucket that the fish will be put into